<?php
/**
 * Glop Front Settings
 *
 * @author   Daniel Ruiz
 * @category Admin
 * @package  GLOP/wooglop
 * @since 1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Wooglop_Front', false ) ) :

	/**
	 * Wooglop_Front Class.
	 */
	class Wooglop_Front {

		/**
		 * Glop_Admin constructor.
		 */
		public function __construct() {
			$this->checkParamIdMesa();
			add_action( 'woocommerce_checkout_update_order_meta', array( $this, 'addIdMesaSelected' ), 20, 2 );
			add_action( 'woocommerce_order_item_get_formatted_meta_data', array( $this, 'showIdMesaSelected' ), 20, 2 );
		}

		/**
		 * Leer y guardar en sesion el id_mesa si viene
		 *
		 * @return void
		 */
		public function checkParamIdMesa() {
			if ( isset( $_GET['id_mesa'] ) ) {
				unset( $_COOKIE['id_mesa_selected'] );
				$blog_id = get_current_blog_id();
				setcookie( 'id_mesa_selected', $blog_id . '-' . $_GET['id_mesa'], time() + 31556926, '/' );
			}
		}
		/**
		 * Al guardar pedido, guardar el id_mesa hidden
		 *
		 * @param $order_id
		 * @param $order
		 *
		 * @return void
		 * @throws Exception
		 */
		public function addIdMesaSelected( $order_id, $order  ) {
			if ( isset( $_COOKIE['id_mesa_selected'] ) ) {
				list( $blog_id, $id_mesa ) = explode( '-', $_COOKIE['id_mesa_selected'] );
//				wc_update_order_item_meta( $order_id, 'id_mesa_selected', $id_mesa );
				update_post_meta( $order_id, 'id_mesa_selected', $id_mesa );
				if (
					! is_plugin_active( 'wooglop-pideypaga/wooglop-pideypaga.php' ) ||
					! wc_string_to_bool( get_option( 'glop_activar_pideypaga', 'no' ) )
				) {
					// #127 Pide y paga: no quitamos la mesa para esta sesión por si vuelven a pedir.
					setcookie( 'id_mesa_selected', null, - 1, '/' );
					unset( $_COOKIE['id_mesa_selected'] );
				}
			}
		}

		/**
		 * @param $formatted_meta
		 * @param $args
		 *
		 * @return array
		 */
		public function showIdMesaSelected( $formatted_meta, $args ) {
			if ( ! is_admin() ) {
				return array_filter( $formatted_meta, function ( $item ) {
					return $item->key != 'id_mesa_selected';
				} );
			}
			return $formatted_meta;
		}

		// Al enviar pedido comprobar si hay id_mesa y enviarlo en el JSON de pedido

	}
endif;
