<?php
/**
 * Glop Wooglop
 *
 * Function Helpers.
 *
 * @author   Daniel Ruiz
 * @category Helpers
 * @package  GLOP/wooglop
 * @since 2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class Wooglop_Helpers
 */
class Wooglop_Helpers {

	/**
	 * Check if actual site has polylang active.
	 *
	 * @return bool
	 */
	public static function is_polylang_active() {
		global $active_plugins;
		// 12/07/2022 En la versión 6.0 esta variable global está vacía.
		if ( empty( $active_plugins ) ) {
			$active_plugins = get_option( 'active_plugins' );
		}

		if ( is_multisite() ) {
			$network_plugins = get_site_option( 'active_sitewide_plugins' );
			if ( ! isset( $active_plugins ) || empty( $active_plugins ) ) {
				$active_plugins = array();
			}
			$active_plugins  = array_unique(
				array_merge(
					$active_plugins,
					array_keys( $network_plugins )
				)
			);
		}



		return in_array(
				'polylang-pro/polylang.php',
				$active_plugins,
				true
			) ||
			in_array(
				'polylang/polylang.php',
				$active_plugins,
				true
			);
	}

}
