<?php
/**
 * Glop Shortcodes
 *
 * @author   Daniel Ruiz
 * @category Admin
 * @package  GLOP/wooglop
 * @since 1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Wooglop_Shortcodes', false ) ) :

	/**
	 * Wooglop_Shortcodes Class.
	 */
	class Wooglop_Shortcodes {
		/**
		 * Wooglop_Shortcodes constructor.
		 */
		public function __construct() {
			add_shortcode( 'wooglop_alergenos', array( $this, 'wooglop_write_alergenos' ) );
			add_action( 'wp_loaded', array( $this, 'wooglop_front_assets' ) );
		}

		public function wooglop_front_assets() {
			wp_enqueue_style( 'wooglop_css', WOOGLOP_ASSETS . 'css/wooglop.css' );
		}

		public function wooglop_write_alergenos() {
			if ( 'woocommerce_single_product_summary' === current_action() ) {
				return;
			}
			global $product;
			$alergenos = get_option( 'wglop_alergenos', array() );
			if ( empty( $alergenos ) ) {
				return;
			}
			$alergenos_de_product = wp_get_object_terms(
				$product->get_id(),
				'product_tag'
			);
			if ( empty( $alergenos_de_product ) ) {
				return;
			}

			$alergenos_de_product = array_column( $alergenos_de_product, 'slug' );

			if ( empty( $alergenos_de_product ) ) {
				return;
			}
			echo '<ul class="alergenos-wrapper">';
			foreach ( $alergenos_de_product as $item ) {
				$this->wooglop_echo_alergeno( $alergenos[ $item ] );
			}
			echo '</ul>';
		}

		public function wooglop_echo_alergeno( $alergeno ) {
			if ( ! isset( $alergeno['url'] ) ) {
				return;
			}
			echo '<li><img src="' . $alergeno['url'] . '"></li>';
		}
	}
new Wooglop_Shortcodes();
endif;
